// For more tutorials, please visit http://scilabipcv.tritytech.com
// Tutorial 1: Image Representation in Scilab
// Change Path to the image folder first

S1 = imread('balloons_binary.png');
imshow(S1);
S1(1:100,1:100) = %t;
imshow(S1);
S2 = imread('balloons_gray.png');
imshow(S2);
S3 = imread('balloons.png'); 
size(S3)
imshow(S3);

// Tutorial 2: Converting from Color to Gray and Binary image

S = imread('measure.jpg');
imshow(S);
Sgray = rgb2gray(S);
imshow(Sgray);
Sbin = im2bw(Sgray,0.5);
imshow(Sbin);
scf();imhist(Sgray,[],1);
Sbin = im2bw(Sgray,0.353);
scf();imshow(Sbin);
th = imgraythresh(Sgray)
Sbin = im2bw(Sgray,th);
scf();imshow(Sbin);

// Tutorial 3: Morphological Operation on Binary Image  
se = imcreatese('ellipse',15,15); 
Sd = imdilate(Sbin,se);
imshow(Sd);
Se = imerode(Sbin,se);
scf();imshow(Se);
se = imcreatese('ellipse',35,35);
So = imopen(Sbin,se);
imshow(So);
[S_labeled,n] = imlabel(So);
imshow(S_labeled,jetcolormap(5));
[A, BB] = imblobprop(S_labeled);
imshow(S);
imrects(BB,[255 0 0]);


// Tutorial 4: Convolution and Correlation  Image filtering and Template matching
S = imread('balloons_noise.png');
imshow(S);
h = 1/25.*ones(5,5)
S2 = imfilter(S,h);
imshow(S2);
S = imread('text.png');
imshow(S);
S2 = imcomplement(S);
imshow(S2);
h = imread('a.png');
h2 = imcomplement(h);
imshow(h2);
S3 = im2double(S2);
h3 = im2double(h2);
S4 = imfilter(S3,h3);
S5 = imnorm(S4);
imshow(S5);
a_loc = S5 > 0.9;
[rows, cols] = find(a_loc);
imshow(S);
sz = size(S);
plot(cols,sz(1)-rows,'r.');


